Skip to main content
`Ctrl`+`K`

# PCPARMSLocalType

Determines the local preconditioner method in `PCPARMS`

## Synopsis

    typedef enum {
      PC_PARMS_LOCAL_ILU0,
      PC_PARMS_LOCAL_ILUK,
      PC_PARMS_LOCAL_ILUT,
      PC_PARMS_LOCAL_ARMS
    } PCPARMSLocalType;

## See Also

Preconditioners, `PCPARMS`, `PCPARMSSetLocal()`, `PC`

## Level

intermediate

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages